Ptex: StringKey Class Reference

Ptex

Public Member Functions | Private Member Functions | Private Attributes | List of all members
StringKey Class Reference

`#include <PtexHashMap.h>`

## Public Member Functions
| StringKey ()
| StringKey (const char *val)
| ~StringKey ()
void | copy (volatile StringKey &key) volatile
void | move (volatile StringKey &key) volatile
bool | matches (const StringKey &key) const volatile
bool | isEmpty () const volatile
uint32_t | hash () const volatile

## Private Member Functions
void | operator= (const StringKey &key)
| StringKey (const StringKey &key)

## Private Attributes
const char *volatile | _val
uint16_t volatile | _len
uint16_t volatile | _ownsVal
uint32_t volatile | _hash

## Detailed Description

Definition at line 63 of file PtexHashMap.h.

## Constructor & Destructor Documentation

## ◆ StringKey() [1/3]

StringKey::StringKey | ( | const StringKey & | key | ) |
| private

References StringKey().

Referenced by copy(), matches(), move(), operator=(), and StringKey().

## ◆ StringKey() [2/3]

StringKey::StringKey | ( |  | ) |
| inline

Definition at line 74 of file PtexHashMap.h.

References _hash, _len, _ownsVal, and _val.

## ◆ StringKey() [3/3]

StringKey::StringKey | ( | const char * | val | ) |
| inline

Definition at line 75 of file PtexHashMap.h.

References _hash, _len, _ownsVal, and _val.

## ◆ ~StringKey()

StringKey::~StringKey | ( |  | ) |
| inline

Definition at line 83 of file PtexHashMap.h.

References _ownsVal, and _val.

## Member Function Documentation

## ◆ copy()

void StringKey::copy | ( | volatile StringKey & | key | ) | volatile
| inline

Definition at line 85 of file PtexHashMap.h.

References _hash, _len, _ownsVal, _val, and StringKey().

Referenced by PtexHashMap< StringKey, PtexCachedReader * >::tryInsert().

## ◆ hash()

uint32_t StringKey::hash | ( |  | ) | const volatile
| inline

Definition at line 111 of file PtexHashMap.h.

References _hash.

Referenced by PtexHashMap< StringKey, PtexCachedReader * >::grow().

## ◆ isEmpty()

bool StringKey::isEmpty | ( |  | ) | const volatile
| inline

Definition at line 109 of file PtexHashMap.h.

References _val.

Referenced by PtexHashMap< StringKey, PtexCachedReader * >::tryInsert().

## ◆ matches()

bool StringKey::matches | ( | const StringKey & | key | ) | const volatile
| inline

Definition at line 104 of file PtexHashMap.h.

References _hash, _len, _val, memCompare(), and StringKey().

Referenced by PtexHashMap< StringKey, PtexCachedReader * >::get(), and PtexHashMap< StringKey, PtexCachedReader * >::tryInsert().

## ◆ move()

void StringKey::move | ( | volatile StringKey & | key | ) | volatile
| inline

Definition at line 95 of file PtexHashMap.h.

References _hash, _len, _ownsVal, _val, and StringKey().

Referenced by PtexHashMap< StringKey, PtexCachedReader * >::grow().

## ◆ operator=()

void StringKey::operator= | ( | const StringKey & | key | ) |
| private

References StringKey().

## Member Data Documentation

## ◆ _hash

uint32_t volatile StringKey::_hash
| private

Definition at line 68 of file PtexHashMap.h.

Referenced by copy(), hash(), matches(), move(), StringKey(), and StringKey().

## ◆ _len

uint16_t volatile StringKey::_len
| private

Definition at line 66 of file PtexHashMap.h.

Referenced by copy(), matches(), move(), StringKey(), and StringKey().

## ◆ _ownsVal

uint16_t volatile StringKey::_ownsVal
| private

Definition at line 67 of file PtexHashMap.h.

Referenced by copy(), move(), StringKey(), StringKey(), and ~StringKey().

## ◆ _val

const char* volatile StringKey::_val
| private

Definition at line 65 of file PtexHashMap.h.

Referenced by copy(), isEmpty(), matches(), move(), StringKey(), StringKey(), and ~StringKey().

The documentation for this class was generated from the following file:

- PtexHashMap.h